cURL
curl --request GET \ --url https://public.reap.video/api/v1/automation/get-all-uploads \ --header 'Authorization: Bearer <token>'
{ "uploads": [ { "id": "<string>", "fileName": "<string>", "fileType": "video", "fileSize": 123, "contentType": "<string>", "status": "upload", "createdAt": 123, "updatedAt": 123 } ], "currentPage": 123, "totalPages": 123, "totalUploads": 123 }
Retrieve all uploaded files for your studio
Show Upload Object
curl -X GET "https://public.reap.video/api/v1/automation/get-all-uploads?page=1&pageSize=20" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Page number for pagination
Number of uploads per page (max 100)
Successful response
Show child attributes
Was this page helpful?